What a sentence or spec would have caught in the last 90 days
curl --request POST \
--url https://api.poddata.ai/v1/trackers/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sentence": "<string>",
"days": 90,
"picks": [
{
"id": "<string>",
"text": "<string>"
}
],
"lists": [
"<string>"
]
}
'import requests
url = "https://api.poddata.ai/v1/trackers/preview"
payload = {
"sentence": "<string>",
"days": 90,
"picks": [
{
"id": "<string>",
"text": "<string>"
}
],
"lists": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sentence: '<string>',
days: 90,
picks: [{id: '<string>', text: '<string>'}],
lists: ['<string>']
})
};
fetch('https://api.poddata.ai/v1/trackers/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/trackers/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sentence' => '<string>',
'days' => 90,
'picks' => [
[
'id' => '<string>',
'text' => '<string>'
]
],
'lists' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/trackers/preview"
payload := strings.NewReader("{\n \"sentence\": \"<string>\",\n \"days\": 90,\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ],\n \"lists\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.poddata.ai/v1/trackers/preview")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sentence\": \"<string>\",\n \"days\": 90,\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ],\n \"lists\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/trackers/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sentence\": \"<string>\",\n \"days\": 90,\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ],\n \"lists\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"spec": {
"version": 1,
"people": [
{
"name": "<string>",
"id": "<string>"
}
],
"kinds": [
"founder"
],
"companies": [
{
"name": "<string>",
"id": "<string>"
}
],
"shows": [
"<string>"
],
"topics": [
"<string>"
],
"test": "<string>",
"must": [
"<string>"
],
"exclude": [
"<string>"
],
"speaker_only": true,
"include_unconfirmed": true,
"documents": true,
"posts": true,
"events": "include",
"live": true,
"lists": [
"<string>"
],
"named": [
{
"name": "<string>",
"id": "<string>"
}
],
"tickers": [
"<string>"
],
"claims": [
"forecast"
]
},
"questions": [
{
"about": "<string>",
"options": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>"
}
]
}
],
"looked_at": 123,
"matched": 123,
"quotes": [
{
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
}
]
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Trackers
What a sentence or spec would have caught in the last 90 days
POST
/
trackers
/
preview
What a sentence or spec would have caught in the last 90 days
curl --request POST \
--url https://api.poddata.ai/v1/trackers/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sentence": "<string>",
"days": 90,
"picks": [
{
"id": "<string>",
"text": "<string>"
}
],
"lists": [
"<string>"
]
}
'import requests
url = "https://api.poddata.ai/v1/trackers/preview"
payload = {
"sentence": "<string>",
"days": 90,
"picks": [
{
"id": "<string>",
"text": "<string>"
}
],
"lists": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sentence: '<string>',
days: 90,
picks: [{id: '<string>', text: '<string>'}],
lists: ['<string>']
})
};
fetch('https://api.poddata.ai/v1/trackers/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/trackers/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sentence' => '<string>',
'days' => 90,
'picks' => [
[
'id' => '<string>',
'text' => '<string>'
]
],
'lists' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/trackers/preview"
payload := strings.NewReader("{\n \"sentence\": \"<string>\",\n \"days\": 90,\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ],\n \"lists\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.poddata.ai/v1/trackers/preview")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sentence\": \"<string>\",\n \"days\": 90,\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ],\n \"lists\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/trackers/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sentence\": \"<string>\",\n \"days\": 90,\n \"picks\": [\n {\n \"id\": \"<string>\",\n \"text\": \"<string>\"\n }\n ],\n \"lists\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"spec": {
"version": 1,
"people": [
{
"name": "<string>",
"id": "<string>"
}
],
"kinds": [
"founder"
],
"companies": [
{
"name": "<string>",
"id": "<string>"
}
],
"shows": [
"<string>"
],
"topics": [
"<string>"
],
"test": "<string>",
"must": [
"<string>"
],
"exclude": [
"<string>"
],
"speaker_only": true,
"include_unconfirmed": true,
"documents": true,
"posts": true,
"events": "include",
"live": true,
"lists": [
"<string>"
],
"named": [
{
"name": "<string>",
"id": "<string>"
}
],
"tickers": [
"<string>"
],
"claims": [
"forecast"
]
},
"questions": [
{
"about": "<string>",
"options": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>"
}
]
}
],
"looked_at": 123,
"matched": 123,
"quotes": [
{
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
}
]
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Authorizations
Body
application/json